using FishFactoryContracts.Attributes;
using FishFactoryDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FishFactoryContracts.ViewModels
{
    public class CannedViewModel : ICannedModel
    {
		[Column(visible: false)]
		public int Id { get; set; }
		[Column(title: "Консерва", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
		public string CannedName { get; set; } = string.Empty;
		[Column(title: "Цена", width: 150)]
		public double Price { get; set; }
		[Column(visible: false)]
		public Dictionary<int, (IComponentModel, int)> CannedComponents { get; set; } = new();
    }
}
